package com.sztzjy.trade.entity;

import java.math.BigDecimal;

import io.swagger.annotations.ApiModelProperty;
/**
 *
 * @author whb
 * stu_learning_assessment
 */
public class StuLearningAssessment {
    @ApiModelProperty("题目ID")
    private String topicId;

    @ApiModelProperty("题干")
    private String topicName;

    @ApiModelProperty("题目类型")
    private String topicType;

    @ApiModelProperty("困难等级")
    private String topicDifficultyLevel;

    @ApiModelProperty("分值")
    private BigDecimal topicScore;

    @ApiModelProperty("题目编号")
    private Integer topicNumber;

    @ApiModelProperty("选项A")
    private String optionA;

    @ApiModelProperty("选项B")
    private String optionB;

    @ApiModelProperty("选项C")
    private String optionC;

    @ApiModelProperty("选项D")
    private String optionD;

    @ApiModelProperty("备用选项E")
    private String optionE;

    @ApiModelProperty("备用选项F")
    private String optionF;

    @ApiModelProperty("备用选项G")
    private String optionG;

    @ApiModelProperty("正确答案")
    private String answer;

    @ApiModelProperty("选择答案")
    private String studentAnswer;

    @ApiModelProperty("答案解析")
    private String questionAnswer;

    @ApiModelProperty("所属课程（先设计放这，没有就为空）")
    private String attributionCourses;

    @ApiModelProperty("归属章节")
    private String attributionChapter;

    @ApiModelProperty("逻辑删除符(1、存在，0、不存在)")
    private Integer logic;

    @ApiModelProperty("状态(0、成功，1、失败)")
    private Integer state;

    @ApiModelProperty("导入失败原因")
    private String reason;

    @ApiModelProperty("学习测评图片")
    private String optionImg;

    public String getTopicId() {
        return topicId;
    }

    public void setTopicId(String topicId) {
        this.topicId = topicId == null ? null : topicId.trim();
    }

    public String getTopicName() {
        return topicName;
    }

    public void setTopicName(String topicName) {
        this.topicName = topicName == null ? null : topicName.trim();
    }

    public String getTopicType() {
        return topicType;
    }

    public void setTopicType(String topicType) {
        this.topicType = topicType == null ? null : topicType.trim();
    }

    public String getTopicDifficultyLevel() {
        return topicDifficultyLevel;
    }

    public void setTopicDifficultyLevel(String topicDifficultyLevel) {
        this.topicDifficultyLevel = topicDifficultyLevel == null ? null : topicDifficultyLevel.trim();
    }

    public BigDecimal getTopicScore() {
        return topicScore;
    }

    public void setTopicScore(BigDecimal topicScore) {
        this.topicScore = topicScore;
    }

    public Integer getTopicNumber() {
        return topicNumber;
    }

    public void setTopicNumber(Integer topicNumber) {
        this.topicNumber = topicNumber;
    }

    public String getOptionA() {
        return optionA;
    }

    public void setOptionA(String optionA) {
        this.optionA = optionA == null ? null : optionA.trim();
    }

    public String getOptionB() {
        return optionB;
    }

    public void setOptionB(String optionB) {
        this.optionB = optionB == null ? null : optionB.trim();
    }

    public String getOptionC() {
        return optionC;
    }

    public void setOptionC(String optionC) {
        this.optionC = optionC == null ? null : optionC.trim();
    }

    public String getOptionD() {
        return optionD;
    }

    public void setOptionD(String optionD) {
        this.optionD = optionD == null ? null : optionD.trim();
    }

    public String getOptionE() {
        return optionE;
    }

    public void setOptionE(String optionE) {
        this.optionE = optionE == null ? null : optionE.trim();
    }

    public String getOptionF() {
        return optionF;
    }

    public void setOptionF(String optionF) {
        this.optionF = optionF == null ? null : optionF.trim();
    }

    public String getOptionG() {
        return optionG;
    }

    public void setOptionG(String optionG) {
        this.optionG = optionG == null ? null : optionG.trim();
    }

    public String getAnswer() {
        return answer;
    }

    public void setAnswer(String answer) {
        this.answer = answer == null ? null : answer.trim();
    }

    public String getStudentAnswer() {
        return studentAnswer;
    }

    public void setStudentAnswer(String studentAnswer) {
        this.studentAnswer = studentAnswer == null ? null : studentAnswer.trim();
    }

    public String getQuestionAnswer() {
        return questionAnswer;
    }

    public void setQuestionAnswer(String questionAnswer) {
        this.questionAnswer = questionAnswer == null ? null : questionAnswer.trim();
    }

    public String getAttributionCourses() {
        return attributionCourses;
    }

    public void setAttributionCourses(String attributionCourses) {
        this.attributionCourses = attributionCourses == null ? null : attributionCourses.trim();
    }

    public String getAttributionChapter() {
        return attributionChapter;
    }

    public void setAttributionChapter(String attributionChapter) {
        this.attributionChapter = attributionChapter == null ? null : attributionChapter.trim();
    }

    public Integer getLogic() {
        return logic;
    }

    public void setLogic(Integer logic) {
        this.logic = logic;
    }

    public Integer getState() {
        return state;
    }

    public void setState(Integer state) {
        this.state = state;
    }

    public String getReason() {
        return reason;
    }

    public void setReason(String reason) {
        this.reason = reason == null ? null : reason.trim();
    }

    public String getOptionImg() {
        return optionImg;
    }

    public void setOptionImg(String optionImg) {
        this.optionImg = optionImg == null ? null : optionImg.trim();
    }
}