package com.sztzjy.trade.entity;

import java.math.BigDecimal;

import io.swagger.annotations.ApiModelProperty;
/**
 *
 * @author whb
 * stu_user
 */
public class StuUser {
    @ApiModelProperty("用户ID")
    private String userId;

    @ApiModelProperty("学号")
    private String studentId;

    @ApiModelProperty("姓名")
    private String name;

    @ApiModelProperty("密码")
    private String password;

    @ApiModelProperty("3老师 4学生")
    private Integer roleId;

    @ApiModelProperty("班级ID")
    private String classId;

    @ApiModelProperty("班级名称")
    private String className;

    @ApiModelProperty("专业")
    private String major;

    @ApiModelProperty("学校ID")
    private String schoolId;

    @ApiModelProperty("学校名称")
    private String schoolName;

    @ApiModelProperty("哈希函数成绩")
    private BigDecimal hashFunctionScore;

    @ApiModelProperty("区块链成绩")
    private BigDecimal blockchainScore;

    @ApiModelProperty("数据层成绩")
    private BigDecimal dataLayerScore;

    @ApiModelProperty("网络层成绩")
    private BigDecimal networkLayerScore;

    @ApiModelProperty("共识层成绩")
    private BigDecimal consensusLayerSocre;

    @ApiModelProperty("激励层成绩")
    private BigDecimal excitingLayerSocre;

    @ApiModelProperty("合约层成绩")
    private BigDecimal contractLayerSocre;

    @ApiModelProperty("区块链概念成绩")
    private BigDecimal conceptScore;

    @ApiModelProperty("区块链概念排名")
    private Integer conceptRank;

    @ApiModelProperty("区块链技术成绩")
    private BigDecimal technologySocre;

    @ApiModelProperty("区块链技术排名")
    private Integer technologyRank;

    @ApiModelProperty("数字货币成绩")
    private BigDecimal digitalCurrencyScore;

    @ApiModelProperty("数字货币排名")
    private Integer digitalCurrencyRank;

    @ApiModelProperty("区块链发票成绩")
    private BigDecimal invoiceScore;

    @ApiModelProperty("区块链供应链金融成绩")
    private BigDecimal supplyChainFinanceScore;

    @ApiModelProperty("区块链溯源和防伪成绩")
    private BigDecimal traceabilityAndAntiCounterfeitingScore;

    @ApiModelProperty("区块链票据成绩")
    private BigDecimal ticketResultsScore;

    @ApiModelProperty("区块链跨境支付成绩")
    private BigDecimal crossBorderPaymentResultsScore;

    @ApiModelProperty("总排名（学校）")
    private Integer totalRank;

    @ApiModelProperty("综合得分（学校）（乘完权重后）")
    private BigDecimal totalScore;

    public String getUserId() {
        return userId;
    }

    public void setUserId(String userId) {
        this.userId = userId == null ? null : userId.trim();
    }

    public String getStudentId() {
        return studentId;
    }

    public void setStudentId(String studentId) {
        this.studentId = studentId == null ? null : studentId.trim();
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name == null ? null : name.trim();
    }

    public String getPassword() {
        return password;
    }

    public void setPassword(String password) {
        this.password = password == null ? null : password.trim();
    }

    public Integer getRoleId() {
        return roleId;
    }

    public void setRoleId(Integer roleId) {
        this.roleId = roleId;
    }

    public String getClassId() {
        return classId;
    }

    public void setClassId(String classId) {
        this.classId = classId == null ? null : classId.trim();
    }

    public String getClassName() {
        return className;
    }

    public void setClassName(String className) {
        this.className = className == null ? null : className.trim();
    }

    public String getMajor() {
        return major;
    }

    public void setMajor(String major) {
        this.major = major == null ? null : major.trim();
    }

    public String getSchoolId() {
        return schoolId;
    }

    public void setSchoolId(String schoolId) {
        this.schoolId = schoolId == null ? null : schoolId.trim();
    }

    public String getSchoolName() {
        return schoolName;
    }

    public void setSchoolName(String schoolName) {
        this.schoolName = schoolName == null ? null : schoolName.trim();
    }

    public BigDecimal getHashFunctionScore() {
        return hashFunctionScore;
    }

    public void setHashFunctionScore(BigDecimal hashFunctionScore) {
        this.hashFunctionScore = hashFunctionScore;
    }

    public BigDecimal getBlockchainScore() {
        return blockchainScore;
    }

    public void setBlockchainScore(BigDecimal blockchainScore) {
        this.blockchainScore = blockchainScore;
    }

    public BigDecimal getDataLayerScore() {
        return dataLayerScore;
    }

    public void setDataLayerScore(BigDecimal dataLayerScore) {
        this.dataLayerScore = dataLayerScore;
    }

    public BigDecimal getNetworkLayerScore() {
        return networkLayerScore;
    }

    public void setNetworkLayerScore(BigDecimal networkLayerScore) {
        this.networkLayerScore = networkLayerScore;
    }

    public BigDecimal getConsensusLayerSocre() {
        return consensusLayerSocre;
    }

    public void setConsensusLayerSocre(BigDecimal consensusLayerSocre) {
        this.consensusLayerSocre = consensusLayerSocre;
    }

    public BigDecimal getExcitingLayerSocre() {
        return excitingLayerSocre;
    }

    public void setExcitingLayerSocre(BigDecimal excitingLayerSocre) {
        this.excitingLayerSocre = excitingLayerSocre;
    }

    public BigDecimal getContractLayerSocre() {
        return contractLayerSocre;
    }

    public void setContractLayerSocre(BigDecimal contractLayerSocre) {
        this.contractLayerSocre = contractLayerSocre;
    }

    public BigDecimal getConceptScore() {
        return conceptScore;
    }

    public void setConceptScore(BigDecimal conceptScore) {
        this.conceptScore = conceptScore;
    }

    public Integer getConceptRank() {
        return conceptRank;
    }

    public void setConceptRank(Integer conceptRank) {
        this.conceptRank = conceptRank;
    }

    public BigDecimal getTechnologySocre() {
        return technologySocre;
    }

    public void setTechnologySocre(BigDecimal technologySocre) {
        this.technologySocre = technologySocre;
    }

    public Integer getTechnologyRank() {
        return technologyRank;
    }

    public void setTechnologyRank(Integer technologyRank) {
        this.technologyRank = technologyRank;
    }

    public BigDecimal getDigitalCurrencyScore() {
        return digitalCurrencyScore;
    }

    public void setDigitalCurrencyScore(BigDecimal digitalCurrencyScore) {
        this.digitalCurrencyScore = digitalCurrencyScore;
    }

    public Integer getDigitalCurrencyRank() {
        return digitalCurrencyRank;
    }

    public void setDigitalCurrencyRank(Integer digitalCurrencyRank) {
        this.digitalCurrencyRank = digitalCurrencyRank;
    }

    public BigDecimal getInvoiceScore() {
        return invoiceScore;
    }

    public void setInvoiceScore(BigDecimal invoiceScore) {
        this.invoiceScore = invoiceScore;
    }

    public BigDecimal getSupplyChainFinanceScore() {
        return supplyChainFinanceScore;
    }

    public void setSupplyChainFinanceScore(BigDecimal supplyChainFinanceScore) {
        this.supplyChainFinanceScore = supplyChainFinanceScore;
    }

    public BigDecimal getTraceabilityAndAntiCounterfeitingScore() {
        return traceabilityAndAntiCounterfeitingScore;
    }

    public void setTraceabilityAndAntiCounterfeitingScore(BigDecimal traceabilityAndAntiCounterfeitingScore) {
        this.traceabilityAndAntiCounterfeitingScore = traceabilityAndAntiCounterfeitingScore;
    }

    public BigDecimal getTicketResultsScore() {
        return ticketResultsScore;
    }

    public void setTicketResultsScore(BigDecimal ticketResultsScore) {
        this.ticketResultsScore = ticketResultsScore;
    }

    public BigDecimal getCrossBorderPaymentResultsScore() {
        return crossBorderPaymentResultsScore;
    }

    public void setCrossBorderPaymentResultsScore(BigDecimal crossBorderPaymentResultsScore) {
        this.crossBorderPaymentResultsScore = crossBorderPaymentResultsScore;
    }

    public Integer getTotalRank() {
        return totalRank;
    }

    public void setTotalRank(Integer totalRank) {
        this.totalRank = totalRank;
    }

    public BigDecimal getTotalScore() {
        return totalScore;
    }

    public void setTotalScore(BigDecimal totalScore) {
        this.totalScore = totalScore;
    }
}