package com.sztzjy.trade.entity;

import java.math.BigDecimal;
import java.util.ArrayList;
import java.util.List;

public class StuUserExample {
    protected String orderByClause;

    protected boolean distinct;

    protected List<Criteria> oredCriteria;

    public StuUserExample() {
        oredCriteria = new ArrayList<>();
    }

    public void setOrderByClause(String orderByClause) {
        this.orderByClause = orderByClause;
    }

    public String getOrderByClause() {
        return orderByClause;
    }

    public void setDistinct(boolean distinct) {
        this.distinct = distinct;
    }

    public boolean isDistinct() {
        return distinct;
    }

    public List<Criteria> getOredCriteria() {
        return oredCriteria;
    }

    public void or(Criteria criteria) {
        oredCriteria.add(criteria);
    }

    public Criteria or() {
        Criteria criteria = createCriteriaInternal();
        oredCriteria.add(criteria);
        return criteria;
    }

    public Criteria createCriteria() {
        Criteria criteria = createCriteriaInternal();
        if (oredCriteria.size() == 0) {
            oredCriteria.add(criteria);
        }
        return criteria;
    }

    protected Criteria createCriteriaInternal() {
        Criteria criteria = new Criteria();
        return criteria;
    }

    public void clear() {
        oredCriteria.clear();
        orderByClause = null;
        distinct = false;
    }

    protected abstract static class GeneratedCriteria {
        protected List<Criterion> criteria;

        protected GeneratedCriteria() {
            super();
            criteria = new ArrayList<>();
        }

        public boolean isValid() {
            return criteria.size() > 0;
        }

        public List<Criterion> getAllCriteria() {
            return criteria;
        }

        public List<Criterion> getCriteria() {
            return criteria;
        }

        protected void addCriterion(String condition) {
            if (condition == null) {
                throw new RuntimeException("Value for condition cannot be null");
            }
            criteria.add(new Criterion(condition));
        }

        protected void addCriterion(String condition, Object value, String property) {
            if (value == null) {
                throw new RuntimeException("Value for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value));
        }

        protected void addCriterion(String condition, Object value1, Object value2, String property) {
            if (value1 == null || value2 == null) {
                throw new RuntimeException("Between values for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value1, value2));
        }

        public Criteria andUserIdIsNull() {
            addCriterion("user_id is null");
            return (Criteria) this;
        }

        public Criteria andUserIdIsNotNull() {
            addCriterion("user_id is not null");
            return (Criteria) this;
        }

        public Criteria andUserIdEqualTo(String value) {
            addCriterion("user_id =", value, "userId");
            return (Criteria) this;
        }

        public Criteria andUserIdNotEqualTo(String value) {
            addCriterion("user_id <>", value, "userId");
            return (Criteria) this;
        }

        public Criteria andUserIdGreaterThan(String value) {
            addCriterion("user_id >", value, "userId");
            return (Criteria) this;
        }

        public Criteria andUserIdGreaterThanOrEqualTo(String value) {
            addCriterion("user_id >=", value, "userId");
            return (Criteria) this;
        }

        public Criteria andUserIdLessThan(String value) {
            addCriterion("user_id <", value, "userId");
            return (Criteria) this;
        }

        public Criteria andUserIdLessThanOrEqualTo(String value) {
            addCriterion("user_id <=", value, "userId");
            return (Criteria) this;
        }

        public Criteria andUserIdLike(String value) {
            addCriterion("user_id like", value, "userId");
            return (Criteria) this;
        }

        public Criteria andUserIdNotLike(String value) {
            addCriterion("user_id not like", value, "userId");
            return (Criteria) this;
        }

        public Criteria andUserIdIn(List<String> values) {
            addCriterion("user_id in", values, "userId");
            return (Criteria) this;
        }

        public Criteria andUserIdNotIn(List<String> values) {
            addCriterion("user_id not in", values, "userId");
            return (Criteria) this;
        }

        public Criteria andUserIdBetween(String value1, String value2) {
            addCriterion("user_id between", value1, value2, "userId");
            return (Criteria) this;
        }

        public Criteria andUserIdNotBetween(String value1, String value2) {
            addCriterion("user_id not between", value1, value2, "userId");
            return (Criteria) this;
        }

        public Criteria andStudentIdIsNull() {
            addCriterion("student_id is null");
            return (Criteria) this;
        }

        public Criteria andStudentIdIsNotNull() {
            addCriterion("student_id is not null");
            return (Criteria) this;
        }

        public Criteria andStudentIdEqualTo(String value) {
            addCriterion("student_id =", value, "studentId");
            return (Criteria) this;
        }

        public Criteria andStudentIdNotEqualTo(String value) {
            addCriterion("student_id <>", value, "studentId");
            return (Criteria) this;
        }

        public Criteria andStudentIdGreaterThan(String value) {
            addCriterion("student_id >", value, "studentId");
            return (Criteria) this;
        }

        public Criteria andStudentIdGreaterThanOrEqualTo(String value) {
            addCriterion("student_id >=", value, "studentId");
            return (Criteria) this;
        }

        public Criteria andStudentIdLessThan(String value) {
            addCriterion("student_id <", value, "studentId");
            return (Criteria) this;
        }

        public Criteria andStudentIdLessThanOrEqualTo(String value) {
            addCriterion("student_id <=", value, "studentId");
            return (Criteria) this;
        }

        public Criteria andStudentIdLike(String value) {
            addCriterion("student_id like", value, "studentId");
            return (Criteria) this;
        }

        public Criteria andStudentIdNotLike(String value) {
            addCriterion("student_id not like", value, "studentId");
            return (Criteria) this;
        }

        public Criteria andStudentIdIn(List<String> values) {
            addCriterion("student_id in", values, "studentId");
            return (Criteria) this;
        }

        public Criteria andStudentIdNotIn(List<String> values) {
            addCriterion("student_id not in", values, "studentId");
            return (Criteria) this;
        }

        public Criteria andStudentIdBetween(String value1, String value2) {
            addCriterion("student_id between", value1, value2, "studentId");
            return (Criteria) this;
        }

        public Criteria andStudentIdNotBetween(String value1, String value2) {
            addCriterion("student_id not between", value1, value2, "studentId");
            return (Criteria) this;
        }

        public Criteria andNameIsNull() {
            addCriterion("name is null");
            return (Criteria) this;
        }

        public Criteria andNameIsNotNull() {
            addCriterion("name is not null");
            return (Criteria) this;
        }

        public Criteria andNameEqualTo(String value) {
            addCriterion("name =", value, "name");
            return (Criteria) this;
        }

        public Criteria andNameNotEqualTo(String value) {
            addCriterion("name <>", value, "name");
            return (Criteria) this;
        }

        public Criteria andNameGreaterThan(String value) {
            addCriterion("name >", value, "name");
            return (Criteria) this;
        }

        public Criteria andNameGreaterThanOrEqualTo(String value) {
            addCriterion("name >=", value, "name");
            return (Criteria) this;
        }

        public Criteria andNameLessThan(String value) {
            addCriterion("name <", value, "name");
            return (Criteria) this;
        }

        public Criteria andNameLessThanOrEqualTo(String value) {
            addCriterion("name <=", value, "name");
            return (Criteria) this;
        }

        public Criteria andNameLike(String value) {
            addCriterion("name like", value, "name");
            return (Criteria) this;
        }

        public Criteria andNameNotLike(String value) {
            addCriterion("name not like", value, "name");
            return (Criteria) this;
        }

        public Criteria andNameIn(List<String> values) {
            addCriterion("name in", values, "name");
            return (Criteria) this;
        }

        public Criteria andNameNotIn(List<String> values) {
            addCriterion("name not in", values, "name");
            return (Criteria) this;
        }

        public Criteria andNameBetween(String value1, String value2) {
            addCriterion("name between", value1, value2, "name");
            return (Criteria) this;
        }

        public Criteria andNameNotBetween(String value1, String value2) {
            addCriterion("name not between", value1, value2, "name");
            return (Criteria) this;
        }

        public Criteria andPasswordIsNull() {
            addCriterion("password is null");
            return (Criteria) this;
        }

        public Criteria andPasswordIsNotNull() {
            addCriterion("password is not null");
            return (Criteria) this;
        }

        public Criteria andPasswordEqualTo(String value) {
            addCriterion("password =", value, "password");
            return (Criteria) this;
        }

        public Criteria andPasswordNotEqualTo(String value) {
            addCriterion("password <>", value, "password");
            return (Criteria) this;
        }

        public Criteria andPasswordGreaterThan(String value) {
            addCriterion("password >", value, "password");
            return (Criteria) this;
        }

        public Criteria andPasswordGreaterThanOrEqualTo(String value) {
            addCriterion("password >=", value, "password");
            return (Criteria) this;
        }

        public Criteria andPasswordLessThan(String value) {
            addCriterion("password <", value, "password");
            return (Criteria) this;
        }

        public Criteria andPasswordLessThanOrEqualTo(String value) {
            addCriterion("password <=", value, "password");
            return (Criteria) this;
        }

        public Criteria andPasswordLike(String value) {
            addCriterion("password like", value, "password");
            return (Criteria) this;
        }

        public Criteria andPasswordNotLike(String value) {
            addCriterion("password not like", value, "password");
            return (Criteria) this;
        }

        public Criteria andPasswordIn(List<String> values) {
            addCriterion("password in", values, "password");
            return (Criteria) this;
        }

        public Criteria andPasswordNotIn(List<String> values) {
            addCriterion("password not in", values, "password");
            return (Criteria) this;
        }

        public Criteria andPasswordBetween(String value1, String value2) {
            addCriterion("password between", value1, value2, "password");
            return (Criteria) this;
        }

        public Criteria andPasswordNotBetween(String value1, String value2) {
            addCriterion("password not between", value1, value2, "password");
            return (Criteria) this;
        }

        public Criteria andRoleIdIsNull() {
            addCriterion("role_id is null");
            return (Criteria) this;
        }

        public Criteria andRoleIdIsNotNull() {
            addCriterion("role_id is not null");
            return (Criteria) this;
        }

        public Criteria andRoleIdEqualTo(Integer value) {
            addCriterion("role_id =", value, "roleId");
            return (Criteria) this;
        }

        public Criteria andRoleIdNotEqualTo(Integer value) {
            addCriterion("role_id <>", value, "roleId");
            return (Criteria) this;
        }

        public Criteria andRoleIdGreaterThan(Integer value) {
            addCriterion("role_id >", value, "roleId");
            return (Criteria) this;
        }

        public Criteria andRoleIdGreaterThanOrEqualTo(Integer value) {
            addCriterion("role_id >=", value, "roleId");
            return (Criteria) this;
        }

        public Criteria andRoleIdLessThan(Integer value) {
            addCriterion("role_id <", value, "roleId");
            return (Criteria) this;
        }

        public Criteria andRoleIdLessThanOrEqualTo(Integer value) {
            addCriterion("role_id <=", value, "roleId");
            return (Criteria) this;
        }

        public Criteria andRoleIdIn(List<Integer> values) {
            addCriterion("role_id in", values, "roleId");
            return (Criteria) this;
        }

        public Criteria andRoleIdNotIn(List<Integer> values) {
            addCriterion("role_id not in", values, "roleId");
            return (Criteria) this;
        }

        public Criteria andRoleIdBetween(Integer value1, Integer value2) {
            addCriterion("role_id between", value1, value2, "roleId");
            return (Criteria) this;
        }

        public Criteria andRoleIdNotBetween(Integer value1, Integer value2) {
            addCriterion("role_id not between", value1, value2, "roleId");
            return (Criteria) this;
        }

        public Criteria andClassIdIsNull() {
            addCriterion("class_id is null");
            return (Criteria) this;
        }

        public Criteria andClassIdIsNotNull() {
            addCriterion("class_id is not null");
            return (Criteria) this;
        }

        public Criteria andClassIdEqualTo(String value) {
            addCriterion("class_id =", value, "classId");
            return (Criteria) this;
        }

        public Criteria andClassIdNotEqualTo(String value) {
            addCriterion("class_id <>", value, "classId");
            return (Criteria) this;
        }

        public Criteria andClassIdGreaterThan(String value) {
            addCriterion("class_id >", value, "classId");
            return (Criteria) this;
        }

        public Criteria andClassIdGreaterThanOrEqualTo(String value) {
            addCriterion("class_id >=", value, "classId");
            return (Criteria) this;
        }

        public Criteria andClassIdLessThan(String value) {
            addCriterion("class_id <", value, "classId");
            return (Criteria) this;
        }

        public Criteria andClassIdLessThanOrEqualTo(String value) {
            addCriterion("class_id <=", value, "classId");
            return (Criteria) this;
        }

        public Criteria andClassIdLike(String value) {
            addCriterion("class_id like", value, "classId");
            return (Criteria) this;
        }

        public Criteria andClassIdNotLike(String value) {
            addCriterion("class_id not like", value, "classId");
            return (Criteria) this;
        }

        public Criteria andClassIdIn(List<String> values) {
            addCriterion("class_id in", values, "classId");
            return (Criteria) this;
        }

        public Criteria andClassIdNotIn(List<String> values) {
            addCriterion("class_id not in", values, "classId");
            return (Criteria) this;
        }

        public Criteria andClassIdBetween(String value1, String value2) {
            addCriterion("class_id between", value1, value2, "classId");
            return (Criteria) this;
        }

        public Criteria andClassIdNotBetween(String value1, String value2) {
            addCriterion("class_id not between", value1, value2, "classId");
            return (Criteria) this;
        }

        public Criteria andClassNameIsNull() {
            addCriterion("class_name is null");
            return (Criteria) this;
        }

        public Criteria andClassNameIsNotNull() {
            addCriterion("class_name is not null");
            return (Criteria) this;
        }

        public Criteria andClassNameEqualTo(String value) {
            addCriterion("class_name =", value, "className");
            return (Criteria) this;
        }

        public Criteria andClassNameNotEqualTo(String value) {
            addCriterion("class_name <>", value, "className");
            return (Criteria) this;
        }

        public Criteria andClassNameGreaterThan(String value) {
            addCriterion("class_name >", value, "className");
            return (Criteria) this;
        }

        public Criteria andClassNameGreaterThanOrEqualTo(String value) {
            addCriterion("class_name >=", value, "className");
            return (Criteria) this;
        }

        public Criteria andClassNameLessThan(String value) {
            addCriterion("class_name <", value, "className");
            return (Criteria) this;
        }

        public Criteria andClassNameLessThanOrEqualTo(String value) {
            addCriterion("class_name <=", value, "className");
            return (Criteria) this;
        }

        public Criteria andClassNameLike(String value) {
            addCriterion("class_name like", value, "className");
            return (Criteria) this;
        }

        public Criteria andClassNameNotLike(String value) {
            addCriterion("class_name not like", value, "className");
            return (Criteria) this;
        }

        public Criteria andClassNameIn(List<String> values) {
            addCriterion("class_name in", values, "className");
            return (Criteria) this;
        }

        public Criteria andClassNameNotIn(List<String> values) {
            addCriterion("class_name not in", values, "className");
            return (Criteria) this;
        }

        public Criteria andClassNameBetween(String value1, String value2) {
            addCriterion("class_name between", value1, value2, "className");
            return (Criteria) this;
        }

        public Criteria andClassNameNotBetween(String value1, String value2) {
            addCriterion("class_name not between", value1, value2, "className");
            return (Criteria) this;
        }

        public Criteria andMajorIsNull() {
            addCriterion("major is null");
            return (Criteria) this;
        }

        public Criteria andMajorIsNotNull() {
            addCriterion("major is not null");
            return (Criteria) this;
        }

        public Criteria andMajorEqualTo(String value) {
            addCriterion("major =", value, "major");
            return (Criteria) this;
        }

        public Criteria andMajorNotEqualTo(String value) {
            addCriterion("major <>", value, "major");
            return (Criteria) this;
        }

        public Criteria andMajorGreaterThan(String value) {
            addCriterion("major >", value, "major");
            return (Criteria) this;
        }

        public Criteria andMajorGreaterThanOrEqualTo(String value) {
            addCriterion("major >=", value, "major");
            return (Criteria) this;
        }

        public Criteria andMajorLessThan(String value) {
            addCriterion("major <", value, "major");
            return (Criteria) this;
        }

        public Criteria andMajorLessThanOrEqualTo(String value) {
            addCriterion("major <=", value, "major");
            return (Criteria) this;
        }

        public Criteria andMajorLike(String value) {
            addCriterion("major like", value, "major");
            return (Criteria) this;
        }

        public Criteria andMajorNotLike(String value) {
            addCriterion("major not like", value, "major");
            return (Criteria) this;
        }

        public Criteria andMajorIn(List<String> values) {
            addCriterion("major in", values, "major");
            return (Criteria) this;
        }

        public Criteria andMajorNotIn(List<String> values) {
            addCriterion("major not in", values, "major");
            return (Criteria) this;
        }

        public Criteria andMajorBetween(String value1, String value2) {
            addCriterion("major between", value1, value2, "major");
            return (Criteria) this;
        }

        public Criteria andMajorNotBetween(String value1, String value2) {
            addCriterion("major not between", value1, value2, "major");
            return (Criteria) this;
        }

        public Criteria andSchoolIdIsNull() {
            addCriterion("school_id is null");
            return (Criteria) this;
        }

        public Criteria andSchoolIdIsNotNull() {
            addCriterion("school_id is not null");
            return (Criteria) this;
        }

        public Criteria andSchoolIdEqualTo(String value) {
            addCriterion("school_id =", value, "schoolId");
            return (Criteria) this;
        }

        public Criteria andSchoolIdNotEqualTo(String value) {
            addCriterion("school_id <>", value, "schoolId");
            return (Criteria) this;
        }

        public Criteria andSchoolIdGreaterThan(String value) {
            addCriterion("school_id >", value, "schoolId");
            return (Criteria) this;
        }

        public Criteria andSchoolIdGreaterThanOrEqualTo(String value) {
            addCriterion("school_id >=", value, "schoolId");
            return (Criteria) this;
        }

        public Criteria andSchoolIdLessThan(String value) {
            addCriterion("school_id <", value, "schoolId");
            return (Criteria) this;
        }

        public Criteria andSchoolIdLessThanOrEqualTo(String value) {
            addCriterion("school_id <=", value, "schoolId");
            return (Criteria) this;
        }

        public Criteria andSchoolIdLike(String value) {
            addCriterion("school_id like", value, "schoolId");
            return (Criteria) this;
        }

        public Criteria andSchoolIdNotLike(String value) {
            addCriterion("school_id not like", value, "schoolId");
            return (Criteria) this;
        }

        public Criteria andSchoolIdIn(List<String> values) {
            addCriterion("school_id in", values, "schoolId");
            return (Criteria) this;
        }

        public Criteria andSchoolIdNotIn(List<String> values) {
            addCriterion("school_id not in", values, "schoolId");
            return (Criteria) this;
        }

        public Criteria andSchoolIdBetween(String value1, String value2) {
            addCriterion("school_id between", value1, value2, "schoolId");
            return (Criteria) this;
        }

        public Criteria andSchoolIdNotBetween(String value1, String value2) {
            addCriterion("school_id not between", value1, value2, "schoolId");
            return (Criteria) this;
        }

        public Criteria andSchoolNameIsNull() {
            addCriterion("school_name is null");
            return (Criteria) this;
        }

        public Criteria andSchoolNameIsNotNull() {
            addCriterion("school_name is not null");
            return (Criteria) this;
        }

        public Criteria andSchoolNameEqualTo(String value) {
            addCriterion("school_name =", value, "schoolName");
            return (Criteria) this;
        }

        public Criteria andSchoolNameNotEqualTo(String value) {
            addCriterion("school_name <>", value, "schoolName");
            return (Criteria) this;
        }

        public Criteria andSchoolNameGreaterThan(String value) {
            addCriterion("school_name >", value, "schoolName");
            return (Criteria) this;
        }

        public Criteria andSchoolNameGreaterThanOrEqualTo(String value) {
            addCriterion("school_name >=", value, "schoolName");
            return (Criteria) this;
        }

        public Criteria andSchoolNameLessThan(String value) {
            addCriterion("school_name <", value, "schoolName");
            return (Criteria) this;
        }

        public Criteria andSchoolNameLessThanOrEqualTo(String value) {
            addCriterion("school_name <=", value, "schoolName");
            return (Criteria) this;
        }

        public Criteria andSchoolNameLike(String value) {
            addCriterion("school_name like", value, "schoolName");
            return (Criteria) this;
        }

        public Criteria andSchoolNameNotLike(String value) {
            addCriterion("school_name not like", value, "schoolName");
            return (Criteria) this;
        }

        public Criteria andSchoolNameIn(List<String> values) {
            addCriterion("school_name in", values, "schoolName");
            return (Criteria) this;
        }

        public Criteria andSchoolNameNotIn(List<String> values) {
            addCriterion("school_name not in", values, "schoolName");
            return (Criteria) this;
        }

        public Criteria andSchoolNameBetween(String value1, String value2) {
            addCriterion("school_name between", value1, value2, "schoolName");
            return (Criteria) this;
        }

        public Criteria andSchoolNameNotBetween(String value1, String value2) {
            addCriterion("school_name not between", value1, value2, "schoolName");
            return (Criteria) this;
        }

        public Criteria andHashFunctionScoreIsNull() {
            addCriterion("hash_function_score is null");
            return (Criteria) this;
        }

        public Criteria andHashFunctionScoreIsNotNull() {
            addCriterion("hash_function_score is not null");
            return (Criteria) this;
        }

        public Criteria andHashFunctionScoreEqualTo(BigDecimal value) {
            addCriterion("hash_function_score =", value, "hashFunctionScore");
            return (Criteria) this;
        }

        public Criteria andHashFunctionScoreNotEqualTo(BigDecimal value) {
            addCriterion("hash_function_score <>", value, "hashFunctionScore");
            return (Criteria) this;
        }

        public Criteria andHashFunctionScoreGreaterThan(BigDecimal value) {
            addCriterion("hash_function_score >", value, "hashFunctionScore");
            return (Criteria) this;
        }

        public Criteria andHashFunctionScoreGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("hash_function_score >=", value, "hashFunctionScore");
            return (Criteria) this;
        }

        public Criteria andHashFunctionScoreLessThan(BigDecimal value) {
            addCriterion("hash_function_score <", value, "hashFunctionScore");
            return (Criteria) this;
        }

        public Criteria andHashFunctionScoreLessThanOrEqualTo(BigDecimal value) {
            addCriterion("hash_function_score <=", value, "hashFunctionScore");
            return (Criteria) this;
        }

        public Criteria andHashFunctionScoreIn(List<BigDecimal> values) {
            addCriterion("hash_function_score in", values, "hashFunctionScore");
            return (Criteria) this;
        }

        public Criteria andHashFunctionScoreNotIn(List<BigDecimal> values) {
            addCriterion("hash_function_score not in", values, "hashFunctionScore");
            return (Criteria) this;
        }

        public Criteria andHashFunctionScoreBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("hash_function_score between", value1, value2, "hashFunctionScore");
            return (Criteria) this;
        }

        public Criteria andHashFunctionScoreNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("hash_function_score not between", value1, value2, "hashFunctionScore");
            return (Criteria) this;
        }

        public Criteria andBlockchainScoreIsNull() {
            addCriterion("blockchain_score is null");
            return (Criteria) this;
        }

        public Criteria andBlockchainScoreIsNotNull() {
            addCriterion("blockchain_score is not null");
            return (Criteria) this;
        }

        public Criteria andBlockchainScoreEqualTo(BigDecimal value) {
            addCriterion("blockchain_score =", value, "blockchainScore");
            return (Criteria) this;
        }

        public Criteria andBlockchainScoreNotEqualTo(BigDecimal value) {
            addCriterion("blockchain_score <>", value, "blockchainScore");
            return (Criteria) this;
        }

        public Criteria andBlockchainScoreGreaterThan(BigDecimal value) {
            addCriterion("blockchain_score >", value, "blockchainScore");
            return (Criteria) this;
        }

        public Criteria andBlockchainScoreGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("blockchain_score >=", value, "blockchainScore");
            return (Criteria) this;
        }

        public Criteria andBlockchainScoreLessThan(BigDecimal value) {
            addCriterion("blockchain_score <", value, "blockchainScore");
            return (Criteria) this;
        }

        public Criteria andBlockchainScoreLessThanOrEqualTo(BigDecimal value) {
            addCriterion("blockchain_score <=", value, "blockchainScore");
            return (Criteria) this;
        }

        public Criteria andBlockchainScoreIn(List<BigDecimal> values) {
            addCriterion("blockchain_score in", values, "blockchainScore");
            return (Criteria) this;
        }

        public Criteria andBlockchainScoreNotIn(List<BigDecimal> values) {
            addCriterion("blockchain_score not in", values, "blockchainScore");
            return (Criteria) this;
        }

        public Criteria andBlockchainScoreBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("blockchain_score between", value1, value2, "blockchainScore");
            return (Criteria) this;
        }

        public Criteria andBlockchainScoreNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("blockchain_score not between", value1, value2, "blockchainScore");
            return (Criteria) this;
        }

        public Criteria andDataLayerScoreIsNull() {
            addCriterion("data_layer_score is null");
            return (Criteria) this;
        }

        public Criteria andDataLayerScoreIsNotNull() {
            addCriterion("data_layer_score is not null");
            return (Criteria) this;
        }

        public Criteria andDataLayerScoreEqualTo(BigDecimal value) {
            addCriterion("data_layer_score =", value, "dataLayerScore");
            return (Criteria) this;
        }

        public Criteria andDataLayerScoreNotEqualTo(BigDecimal value) {
            addCriterion("data_layer_score <>", value, "dataLayerScore");
            return (Criteria) this;
        }

        public Criteria andDataLayerScoreGreaterThan(BigDecimal value) {
            addCriterion("data_layer_score >", value, "dataLayerScore");
            return (Criteria) this;
        }

        public Criteria andDataLayerScoreGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("data_layer_score >=", value, "dataLayerScore");
            return (Criteria) this;
        }

        public Criteria andDataLayerScoreLessThan(BigDecimal value) {
            addCriterion("data_layer_score <", value, "dataLayerScore");
            return (Criteria) this;
        }

        public Criteria andDataLayerScoreLessThanOrEqualTo(BigDecimal value) {
            addCriterion("data_layer_score <=", value, "dataLayerScore");
            return (Criteria) this;
        }

        public Criteria andDataLayerScoreIn(List<BigDecimal> values) {
            addCriterion("data_layer_score in", values, "dataLayerScore");
            return (Criteria) this;
        }

        public Criteria andDataLayerScoreNotIn(List<BigDecimal> values) {
            addCriterion("data_layer_score not in", values, "dataLayerScore");
            return (Criteria) this;
        }

        public Criteria andDataLayerScoreBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("data_layer_score between", value1, value2, "dataLayerScore");
            return (Criteria) this;
        }

        public Criteria andDataLayerScoreNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("data_layer_score not between", value1, value2, "dataLayerScore");
            return (Criteria) this;
        }

        public Criteria andNetworkLayerScoreIsNull() {
            addCriterion("network_layer_score is null");
            return (Criteria) this;
        }

        public Criteria andNetworkLayerScoreIsNotNull() {
            addCriterion("network_layer_score is not null");
            return (Criteria) this;
        }

        public Criteria andNetworkLayerScoreEqualTo(BigDecimal value) {
            addCriterion("network_layer_score =", value, "networkLayerScore");
            return (Criteria) this;
        }

        public Criteria andNetworkLayerScoreNotEqualTo(BigDecimal value) {
            addCriterion("network_layer_score <>", value, "networkLayerScore");
            return (Criteria) this;
        }

        public Criteria andNetworkLayerScoreGreaterThan(BigDecimal value) {
            addCriterion("network_layer_score >", value, "networkLayerScore");
            return (Criteria) this;
        }

        public Criteria andNetworkLayerScoreGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("network_layer_score >=", value, "networkLayerScore");
            return (Criteria) this;
        }

        public Criteria andNetworkLayerScoreLessThan(BigDecimal value) {
            addCriterion("network_layer_score <", value, "networkLayerScore");
            return (Criteria) this;
        }

        public Criteria andNetworkLayerScoreLessThanOrEqualTo(BigDecimal value) {
            addCriterion("network_layer_score <=", value, "networkLayerScore");
            return (Criteria) this;
        }

        public Criteria andNetworkLayerScoreIn(List<BigDecimal> values) {
            addCriterion("network_layer_score in", values, "networkLayerScore");
            return (Criteria) this;
        }

        public Criteria andNetworkLayerScoreNotIn(List<BigDecimal> values) {
            addCriterion("network_layer_score not in", values, "networkLayerScore");
            return (Criteria) this;
        }

        public Criteria andNetworkLayerScoreBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("network_layer_score between", value1, value2, "networkLayerScore");
            return (Criteria) this;
        }

        public Criteria andNetworkLayerScoreNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("network_layer_score not between", value1, value2, "networkLayerScore");
            return (Criteria) this;
        }

        public Criteria andConsensusLayerSocreIsNull() {
            addCriterion("consensus_layer_socre is null");
            return (Criteria) this;
        }

        public Criteria andConsensusLayerSocreIsNotNull() {
            addCriterion("consensus_layer_socre is not null");
            return (Criteria) this;
        }

        public Criteria andConsensusLayerSocreEqualTo(BigDecimal value) {
            addCriterion("consensus_layer_socre =", value, "consensusLayerSocre");
            return (Criteria) this;
        }

        public Criteria andConsensusLayerSocreNotEqualTo(BigDecimal value) {
            addCriterion("consensus_layer_socre <>", value, "consensusLayerSocre");
            return (Criteria) this;
        }

        public Criteria andConsensusLayerSocreGreaterThan(BigDecimal value) {
            addCriterion("consensus_layer_socre >", value, "consensusLayerSocre");
            return (Criteria) this;
        }

        public Criteria andConsensusLayerSocreGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("consensus_layer_socre >=", value, "consensusLayerSocre");
            return (Criteria) this;
        }

        public Criteria andConsensusLayerSocreLessThan(BigDecimal value) {
            addCriterion("consensus_layer_socre <", value, "consensusLayerSocre");
            return (Criteria) this;
        }

        public Criteria andConsensusLayerSocreLessThanOrEqualTo(BigDecimal value) {
            addCriterion("consensus_layer_socre <=", value, "consensusLayerSocre");
            return (Criteria) this;
        }

        public Criteria andConsensusLayerSocreIn(List<BigDecimal> values) {
            addCriterion("consensus_layer_socre in", values, "consensusLayerSocre");
            return (Criteria) this;
        }

        public Criteria andConsensusLayerSocreNotIn(List<BigDecimal> values) {
            addCriterion("consensus_layer_socre not in", values, "consensusLayerSocre");
            return (Criteria) this;
        }

        public Criteria andConsensusLayerSocreBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("consensus_layer_socre between", value1, value2, "consensusLayerSocre");
            return (Criteria) this;
        }

        public Criteria andConsensusLayerSocreNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("consensus_layer_socre not between", value1, value2, "consensusLayerSocre");
            return (Criteria) this;
        }

        public Criteria andExcitingLayerSocreIsNull() {
            addCriterion("exciting_layer_socre is null");
            return (Criteria) this;
        }

        public Criteria andExcitingLayerSocreIsNotNull() {
            addCriterion("exciting_layer_socre is not null");
            return (Criteria) this;
        }

        public Criteria andExcitingLayerSocreEqualTo(BigDecimal value) {
            addCriterion("exciting_layer_socre =", value, "excitingLayerSocre");
            return (Criteria) this;
        }

        public Criteria andExcitingLayerSocreNotEqualTo(BigDecimal value) {
            addCriterion("exciting_layer_socre <>", value, "excitingLayerSocre");
            return (Criteria) this;
        }

        public Criteria andExcitingLayerSocreGreaterThan(BigDecimal value) {
            addCriterion("exciting_layer_socre >", value, "excitingLayerSocre");
            return (Criteria) this;
        }

        public Criteria andExcitingLayerSocreGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("exciting_layer_socre >=", value, "excitingLayerSocre");
            return (Criteria) this;
        }

        public Criteria andExcitingLayerSocreLessThan(BigDecimal value) {
            addCriterion("exciting_layer_socre <", value, "excitingLayerSocre");
            return (Criteria) this;
        }

        public Criteria andExcitingLayerSocreLessThanOrEqualTo(BigDecimal value) {
            addCriterion("exciting_layer_socre <=", value, "excitingLayerSocre");
            return (Criteria) this;
        }

        public Criteria andExcitingLayerSocreIn(List<BigDecimal> values) {
            addCriterion("exciting_layer_socre in", values, "excitingLayerSocre");
            return (Criteria) this;
        }

        public Criteria andExcitingLayerSocreNotIn(List<BigDecimal> values) {
            addCriterion("exciting_layer_socre not in", values, "excitingLayerSocre");
            return (Criteria) this;
        }

        public Criteria andExcitingLayerSocreBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("exciting_layer_socre between", value1, value2, "excitingLayerSocre");
            return (Criteria) this;
        }

        public Criteria andExcitingLayerSocreNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("exciting_layer_socre not between", value1, value2, "excitingLayerSocre");
            return (Criteria) this;
        }

        public Criteria andContractLayerSocreIsNull() {
            addCriterion("contract_layer_socre is null");
            return (Criteria) this;
        }

        public Criteria andContractLayerSocreIsNotNull() {
            addCriterion("contract_layer_socre is not null");
            return (Criteria) this;
        }

        public Criteria andContractLayerSocreEqualTo(BigDecimal value) {
            addCriterion("contract_layer_socre =", value, "contractLayerSocre");
            return (Criteria) this;
        }

        public Criteria andContractLayerSocreNotEqualTo(BigDecimal value) {
            addCriterion("contract_layer_socre <>", value, "contractLayerSocre");
            return (Criteria) this;
        }

        public Criteria andContractLayerSocreGreaterThan(BigDecimal value) {
            addCriterion("contract_layer_socre >", value, "contractLayerSocre");
            return (Criteria) this;
        }

        public Criteria andContractLayerSocreGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("contract_layer_socre >=", value, "contractLayerSocre");
            return (Criteria) this;
        }

        public Criteria andContractLayerSocreLessThan(BigDecimal value) {
            addCriterion("contract_layer_socre <", value, "contractLayerSocre");
            return (Criteria) this;
        }

        public Criteria andContractLayerSocreLessThanOrEqualTo(BigDecimal value) {
            addCriterion("contract_layer_socre <=", value, "contractLayerSocre");
            return (Criteria) this;
        }

        public Criteria andContractLayerSocreIn(List<BigDecimal> values) {
            addCriterion("contract_layer_socre in", values, "contractLayerSocre");
            return (Criteria) this;
        }

        public Criteria andContractLayerSocreNotIn(List<BigDecimal> values) {
            addCriterion("contract_layer_socre not in", values, "contractLayerSocre");
            return (Criteria) this;
        }

        public Criteria andContractLayerSocreBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("contract_layer_socre between", value1, value2, "contractLayerSocre");
            return (Criteria) this;
        }

        public Criteria andContractLayerSocreNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("contract_layer_socre not between", value1, value2, "contractLayerSocre");
            return (Criteria) this;
        }

        public Criteria andConceptScoreIsNull() {
            addCriterion("concept_score is null");
            return (Criteria) this;
        }

        public Criteria andConceptScoreIsNotNull() {
            addCriterion("concept_score is not null");
            return (Criteria) this;
        }

        public Criteria andConceptScoreEqualTo(BigDecimal value) {
            addCriterion("concept_score =", value, "conceptScore");
            return (Criteria) this;
        }

        public Criteria andConceptScoreNotEqualTo(BigDecimal value) {
            addCriterion("concept_score <>", value, "conceptScore");
            return (Criteria) this;
        }

        public Criteria andConceptScoreGreaterThan(BigDecimal value) {
            addCriterion("concept_score >", value, "conceptScore");
            return (Criteria) this;
        }

        public Criteria andConceptScoreGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("concept_score >=", value, "conceptScore");
            return (Criteria) this;
        }

        public Criteria andConceptScoreLessThan(BigDecimal value) {
            addCriterion("concept_score <", value, "conceptScore");
            return (Criteria) this;
        }

        public Criteria andConceptScoreLessThanOrEqualTo(BigDecimal value) {
            addCriterion("concept_score <=", value, "conceptScore");
            return (Criteria) this;
        }

        public Criteria andConceptScoreIn(List<BigDecimal> values) {
            addCriterion("concept_score in", values, "conceptScore");
            return (Criteria) this;
        }

        public Criteria andConceptScoreNotIn(List<BigDecimal> values) {
            addCriterion("concept_score not in", values, "conceptScore");
            return (Criteria) this;
        }

        public Criteria andConceptScoreBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("concept_score between", value1, value2, "conceptScore");
            return (Criteria) this;
        }

        public Criteria andConceptScoreNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("concept_score not between", value1, value2, "conceptScore");
            return (Criteria) this;
        }

        public Criteria andConceptRankIsNull() {
            addCriterion("concept_rank is null");
            return (Criteria) this;
        }

        public Criteria andConceptRankIsNotNull() {
            addCriterion("concept_rank is not null");
            return (Criteria) this;
        }

        public Criteria andConceptRankEqualTo(Integer value) {
            addCriterion("concept_rank =", value, "conceptRank");
            return (Criteria) this;
        }

        public Criteria andConceptRankNotEqualTo(Integer value) {
            addCriterion("concept_rank <>", value, "conceptRank");
            return (Criteria) this;
        }

        public Criteria andConceptRankGreaterThan(Integer value) {
            addCriterion("concept_rank >", value, "conceptRank");
            return (Criteria) this;
        }

        public Criteria andConceptRankGreaterThanOrEqualTo(Integer value) {
            addCriterion("concept_rank >=", value, "conceptRank");
            return (Criteria) this;
        }

        public Criteria andConceptRankLessThan(Integer value) {
            addCriterion("concept_rank <", value, "conceptRank");
            return (Criteria) this;
        }

        public Criteria andConceptRankLessThanOrEqualTo(Integer value) {
            addCriterion("concept_rank <=", value, "conceptRank");
            return (Criteria) this;
        }

        public Criteria andConceptRankIn(List<Integer> values) {
            addCriterion("concept_rank in", values, "conceptRank");
            return (Criteria) this;
        }

        public Criteria andConceptRankNotIn(List<Integer> values) {
            addCriterion("concept_rank not in", values, "conceptRank");
            return (Criteria) this;
        }

        public Criteria andConceptRankBetween(Integer value1, Integer value2) {
            addCriterion("concept_rank between", value1, value2, "conceptRank");
            return (Criteria) this;
        }

        public Criteria andConceptRankNotBetween(Integer value1, Integer value2) {
            addCriterion("concept_rank not between", value1, value2, "conceptRank");
            return (Criteria) this;
        }

        public Criteria andTechnologySocreIsNull() {
            addCriterion("technology_socre is null");
            return (Criteria) this;
        }

        public Criteria andTechnologySocreIsNotNull() {
            addCriterion("technology_socre is not null");
            return (Criteria) this;
        }

        public Criteria andTechnologySocreEqualTo(BigDecimal value) {
            addCriterion("technology_socre =", value, "technologySocre");
            return (Criteria) this;
        }

        public Criteria andTechnologySocreNotEqualTo(BigDecimal value) {
            addCriterion("technology_socre <>", value, "technologySocre");
            return (Criteria) this;
        }

        public Criteria andTechnologySocreGreaterThan(BigDecimal value) {
            addCriterion("technology_socre >", value, "technologySocre");
            return (Criteria) this;
        }

        public Criteria andTechnologySocreGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("technology_socre >=", value, "technologySocre");
            return (Criteria) this;
        }

        public Criteria andTechnologySocreLessThan(BigDecimal value) {
            addCriterion("technology_socre <", value, "technologySocre");
            return (Criteria) this;
        }

        public Criteria andTechnologySocreLessThanOrEqualTo(BigDecimal value) {
            addCriterion("technology_socre <=", value, "technologySocre");
            return (Criteria) this;
        }

        public Criteria andTechnologySocreIn(List<BigDecimal> values) {
            addCriterion("technology_socre in", values, "technologySocre");
            return (Criteria) this;
        }

        public Criteria andTechnologySocreNotIn(List<BigDecimal> values) {
            addCriterion("technology_socre not in", values, "technologySocre");
            return (Criteria) this;
        }

        public Criteria andTechnologySocreBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("technology_socre between", value1, value2, "technologySocre");
            return (Criteria) this;
        }

        public Criteria andTechnologySocreNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("technology_socre not between", value1, value2, "technologySocre");
            return (Criteria) this;
        }

        public Criteria andTechnologyRankIsNull() {
            addCriterion("technology_rank is null");
            return (Criteria) this;
        }

        public Criteria andTechnologyRankIsNotNull() {
            addCriterion("technology_rank is not null");
            return (Criteria) this;
        }

        public Criteria andTechnologyRankEqualTo(Integer value) {
            addCriterion("technology_rank =", value, "technologyRank");
            return (Criteria) this;
        }

        public Criteria andTechnologyRankNotEqualTo(Integer value) {
            addCriterion("technology_rank <>", value, "technologyRank");
            return (Criteria) this;
        }

        public Criteria andTechnologyRankGreaterThan(Integer value) {
            addCriterion("technology_rank >", value, "technologyRank");
            return (Criteria) this;
        }

        public Criteria andTechnologyRankGreaterThanOrEqualTo(Integer value) {
            addCriterion("technology_rank >=", value, "technologyRank");
            return (Criteria) this;
        }

        public Criteria andTechnologyRankLessThan(Integer value) {
            addCriterion("technology_rank <", value, "technologyRank");
            return (Criteria) this;
        }

        public Criteria andTechnologyRankLessThanOrEqualTo(Integer value) {
            addCriterion("technology_rank <=", value, "technologyRank");
            return (Criteria) this;
        }

        public Criteria andTechnologyRankIn(List<Integer> values) {
            addCriterion("technology_rank in", values, "technologyRank");
            return (Criteria) this;
        }

        public Criteria andTechnologyRankNotIn(List<Integer> values) {
            addCriterion("technology_rank not in", values, "technologyRank");
            return (Criteria) this;
        }

        public Criteria andTechnologyRankBetween(Integer value1, Integer value2) {
            addCriterion("technology_rank between", value1, value2, "technologyRank");
            return (Criteria) this;
        }

        public Criteria andTechnologyRankNotBetween(Integer value1, Integer value2) {
            addCriterion("technology_rank not between", value1, value2, "technologyRank");
            return (Criteria) this;
        }

        public Criteria andDigitalCurrencyScoreIsNull() {
            addCriterion("digital_currency_score is null");
            return (Criteria) this;
        }

        public Criteria andDigitalCurrencyScoreIsNotNull() {
            addCriterion("digital_currency_score is not null");
            return (Criteria) this;
        }

        public Criteria andDigitalCurrencyScoreEqualTo(BigDecimal value) {
            addCriterion("digital_currency_score =", value, "digitalCurrencyScore");
            return (Criteria) this;
        }

        public Criteria andDigitalCurrencyScoreNotEqualTo(BigDecimal value) {
            addCriterion("digital_currency_score <>", value, "digitalCurrencyScore");
            return (Criteria) this;
        }

        public Criteria andDigitalCurrencyScoreGreaterThan(BigDecimal value) {
            addCriterion("digital_currency_score >", value, "digitalCurrencyScore");
            return (Criteria) this;
        }

        public Criteria andDigitalCurrencyScoreGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("digital_currency_score >=", value, "digitalCurrencyScore");
            return (Criteria) this;
        }

        public Criteria andDigitalCurrencyScoreLessThan(BigDecimal value) {
            addCriterion("digital_currency_score <", value, "digitalCurrencyScore");
            return (Criteria) this;
        }

        public Criteria andDigitalCurrencyScoreLessThanOrEqualTo(BigDecimal value) {
            addCriterion("digital_currency_score <=", value, "digitalCurrencyScore");
            return (Criteria) this;
        }

        public Criteria andDigitalCurrencyScoreIn(List<BigDecimal> values) {
            addCriterion("digital_currency_score in", values, "digitalCurrencyScore");
            return (Criteria) this;
        }

        public Criteria andDigitalCurrencyScoreNotIn(List<BigDecimal> values) {
            addCriterion("digital_currency_score not in", values, "digitalCurrencyScore");
            return (Criteria) this;
        }

        public Criteria andDigitalCurrencyScoreBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("digital_currency_score between", value1, value2, "digitalCurrencyScore");
            return (Criteria) this;
        }

        public Criteria andDigitalCurrencyScoreNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("digital_currency_score not between", value1, value2, "digitalCurrencyScore");
            return (Criteria) this;
        }

        public Criteria andDigitalCurrencyRankIsNull() {
            addCriterion("digital_currency_rank is null");
            return (Criteria) this;
        }

        public Criteria andDigitalCurrencyRankIsNotNull() {
            addCriterion("digital_currency_rank is not null");
            return (Criteria) this;
        }

        public Criteria andDigitalCurrencyRankEqualTo(Integer value) {
            addCriterion("digital_currency_rank =", value, "digitalCurrencyRank");
            return (Criteria) this;
        }

        public Criteria andDigitalCurrencyRankNotEqualTo(Integer value) {
            addCriterion("digital_currency_rank <>", value, "digitalCurrencyRank");
            return (Criteria) this;
        }

        public Criteria andDigitalCurrencyRankGreaterThan(Integer value) {
            addCriterion("digital_currency_rank >", value, "digitalCurrencyRank");
            return (Criteria) this;
        }

        public Criteria andDigitalCurrencyRankGreaterThanOrEqualTo(Integer value) {
            addCriterion("digital_currency_rank >=", value, "digitalCurrencyRank");
            return (Criteria) this;
        }

        public Criteria andDigitalCurrencyRankLessThan(Integer value) {
            addCriterion("digital_currency_rank <", value, "digitalCurrencyRank");
            return (Criteria) this;
        }

        public Criteria andDigitalCurrencyRankLessThanOrEqualTo(Integer value) {
            addCriterion("digital_currency_rank <=", value, "digitalCurrencyRank");
            return (Criteria) this;
        }

        public Criteria andDigitalCurrencyRankIn(List<Integer> values) {
            addCriterion("digital_currency_rank in", values, "digitalCurrencyRank");
            return (Criteria) this;
        }

        public Criteria andDigitalCurrencyRankNotIn(List<Integer> values) {
            addCriterion("digital_currency_rank not in", values, "digitalCurrencyRank");
            return (Criteria) this;
        }

        public Criteria andDigitalCurrencyRankBetween(Integer value1, Integer value2) {
            addCriterion("digital_currency_rank between", value1, value2, "digitalCurrencyRank");
            return (Criteria) this;
        }

        public Criteria andDigitalCurrencyRankNotBetween(Integer value1, Integer value2) {
            addCriterion("digital_currency_rank not between", value1, value2, "digitalCurrencyRank");
            return (Criteria) this;
        }

        public Criteria andInvoiceScoreIsNull() {
            addCriterion("invoice_score is null");
            return (Criteria) this;
        }

        public Criteria andInvoiceScoreIsNotNull() {
            addCriterion("invoice_score is not null");
            return (Criteria) this;
        }

        public Criteria andInvoiceScoreEqualTo(BigDecimal value) {
            addCriterion("invoice_score =", value, "invoiceScore");
            return (Criteria) this;
        }

        public Criteria andInvoiceScoreNotEqualTo(BigDecimal value) {
            addCriterion("invoice_score <>", value, "invoiceScore");
            return (Criteria) this;
        }

        public Criteria andInvoiceScoreGreaterThan(BigDecimal value) {
            addCriterion("invoice_score >", value, "invoiceScore");
            return (Criteria) this;
        }

        public Criteria andInvoiceScoreGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("invoice_score >=", value, "invoiceScore");
            return (Criteria) this;
        }

        public Criteria andInvoiceScoreLessThan(BigDecimal value) {
            addCriterion("invoice_score <", value, "invoiceScore");
            return (Criteria) this;
        }

        public Criteria andInvoiceScoreLessThanOrEqualTo(BigDecimal value) {
            addCriterion("invoice_score <=", value, "invoiceScore");
            return (Criteria) this;
        }

        public Criteria andInvoiceScoreIn(List<BigDecimal> values) {
            addCriterion("invoice_score in", values, "invoiceScore");
            return (Criteria) this;
        }

        public Criteria andInvoiceScoreNotIn(List<BigDecimal> values) {
            addCriterion("invoice_score not in", values, "invoiceScore");
            return (Criteria) this;
        }

        public Criteria andInvoiceScoreBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("invoice_score between", value1, value2, "invoiceScore");
            return (Criteria) this;
        }

        public Criteria andInvoiceScoreNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("invoice_score not between", value1, value2, "invoiceScore");
            return (Criteria) this;
        }

        public Criteria andSupplyChainFinanceScoreIsNull() {
            addCriterion("supply_chain_finance_score is null");
            return (Criteria) this;
        }

        public Criteria andSupplyChainFinanceScoreIsNotNull() {
            addCriterion("supply_chain_finance_score is not null");
            return (Criteria) this;
        }

        public Criteria andSupplyChainFinanceScoreEqualTo(BigDecimal value) {
            addCriterion("supply_chain_finance_score =", value, "supplyChainFinanceScore");
            return (Criteria) this;
        }

        public Criteria andSupplyChainFinanceScoreNotEqualTo(BigDecimal value) {
            addCriterion("supply_chain_finance_score <>", value, "supplyChainFinanceScore");
            return (Criteria) this;
        }

        public Criteria andSupplyChainFinanceScoreGreaterThan(BigDecimal value) {
            addCriterion("supply_chain_finance_score >", value, "supplyChainFinanceScore");
            return (Criteria) this;
        }

        public Criteria andSupplyChainFinanceScoreGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("supply_chain_finance_score >=", value, "supplyChainFinanceScore");
            return (Criteria) this;
        }

        public Criteria andSupplyChainFinanceScoreLessThan(BigDecimal value) {
            addCriterion("supply_chain_finance_score <", value, "supplyChainFinanceScore");
            return (Criteria) this;
        }

        public Criteria andSupplyChainFinanceScoreLessThanOrEqualTo(BigDecimal value) {
            addCriterion("supply_chain_finance_score <=", value, "supplyChainFinanceScore");
            return (Criteria) this;
        }

        public Criteria andSupplyChainFinanceScoreIn(List<BigDecimal> values) {
            addCriterion("supply_chain_finance_score in", values, "supplyChainFinanceScore");
            return (Criteria) this;
        }

        public Criteria andSupplyChainFinanceScoreNotIn(List<BigDecimal> values) {
            addCriterion("supply_chain_finance_score not in", values, "supplyChainFinanceScore");
            return (Criteria) this;
        }

        public Criteria andSupplyChainFinanceScoreBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("supply_chain_finance_score between", value1, value2, "supplyChainFinanceScore");
            return (Criteria) this;
        }

        public Criteria andSupplyChainFinanceScoreNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("supply_chain_finance_score not between", value1, value2, "supplyChainFinanceScore");
            return (Criteria) this;
        }

        public Criteria andTraceabilityAndAntiCounterfeitingScoreIsNull() {
            addCriterion("traceability_and_anti_counterfeiting_score is null");
            return (Criteria) this;
        }

        public Criteria andTraceabilityAndAntiCounterfeitingScoreIsNotNull() {
            addCriterion("traceability_and_anti_counterfeiting_score is not null");
            return (Criteria) this;
        }

        public Criteria andTraceabilityAndAntiCounterfeitingScoreEqualTo(BigDecimal value) {
            addCriterion("traceability_and_anti_counterfeiting_score =", value, "traceabilityAndAntiCounterfeitingScore");
            return (Criteria) this;
        }

        public Criteria andTraceabilityAndAntiCounterfeitingScoreNotEqualTo(BigDecimal value) {
            addCriterion("traceability_and_anti_counterfeiting_score <>", value, "traceabilityAndAntiCounterfeitingScore");
            return (Criteria) this;
        }

        public Criteria andTraceabilityAndAntiCounterfeitingScoreGreaterThan(BigDecimal value) {
            addCriterion("traceability_and_anti_counterfeiting_score >", value, "traceabilityAndAntiCounterfeitingScore");
            return (Criteria) this;
        }

        public Criteria andTraceabilityAndAntiCounterfeitingScoreGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("traceability_and_anti_counterfeiting_score >=", value, "traceabilityAndAntiCounterfeitingScore");
            return (Criteria) this;
        }

        public Criteria andTraceabilityAndAntiCounterfeitingScoreLessThan(BigDecimal value) {
            addCriterion("traceability_and_anti_counterfeiting_score <", value, "traceabilityAndAntiCounterfeitingScore");
            return (Criteria) this;
        }

        public Criteria andTraceabilityAndAntiCounterfeitingScoreLessThanOrEqualTo(BigDecimal value) {
            addCriterion("traceability_and_anti_counterfeiting_score <=", value, "traceabilityAndAntiCounterfeitingScore");
            return (Criteria) this;
        }

        public Criteria andTraceabilityAndAntiCounterfeitingScoreIn(List<BigDecimal> values) {
            addCriterion("traceability_and_anti_counterfeiting_score in", values, "traceabilityAndAntiCounterfeitingScore");
            return (Criteria) this;
        }

        public Criteria andTraceabilityAndAntiCounterfeitingScoreNotIn(List<BigDecimal> values) {
            addCriterion("traceability_and_anti_counterfeiting_score not in", values, "traceabilityAndAntiCounterfeitingScore");
            return (Criteria) this;
        }

        public Criteria andTraceabilityAndAntiCounterfeitingScoreBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("traceability_and_anti_counterfeiting_score between", value1, value2, "traceabilityAndAntiCounterfeitingScore");
            return (Criteria) this;
        }

        public Criteria andTraceabilityAndAntiCounterfeitingScoreNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("traceability_and_anti_counterfeiting_score not between", value1, value2, "traceabilityAndAntiCounterfeitingScore");
            return (Criteria) this;
        }

        public Criteria andTicketResultsScoreIsNull() {
            addCriterion("ticket_results_score is null");
            return (Criteria) this;
        }

        public Criteria andTicketResultsScoreIsNotNull() {
            addCriterion("ticket_results_score is not null");
            return (Criteria) this;
        }

        public Criteria andTicketResultsScoreEqualTo(BigDecimal value) {
            addCriterion("ticket_results_score =", value, "ticketResultsScore");
            return (Criteria) this;
        }

        public Criteria andTicketResultsScoreNotEqualTo(BigDecimal value) {
            addCriterion("ticket_results_score <>", value, "ticketResultsScore");
            return (Criteria) this;
        }

        public Criteria andTicketResultsScoreGreaterThan(BigDecimal value) {
            addCriterion("ticket_results_score >", value, "ticketResultsScore");
            return (Criteria) this;
        }

        public Criteria andTicketResultsScoreGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("ticket_results_score >=", value, "ticketResultsScore");
            return (Criteria) this;
        }

        public Criteria andTicketResultsScoreLessThan(BigDecimal value) {
            addCriterion("ticket_results_score <", value, "ticketResultsScore");
            return (Criteria) this;
        }

        public Criteria andTicketResultsScoreLessThanOrEqualTo(BigDecimal value) {
            addCriterion("ticket_results_score <=", value, "ticketResultsScore");
            return (Criteria) this;
        }

        public Criteria andTicketResultsScoreIn(List<BigDecimal> values) {
            addCriterion("ticket_results_score in", values, "ticketResultsScore");
            return (Criteria) this;
        }

        public Criteria andTicketResultsScoreNotIn(List<BigDecimal> values) {
            addCriterion("ticket_results_score not in", values, "ticketResultsScore");
            return (Criteria) this;
        }

        public Criteria andTicketResultsScoreBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("ticket_results_score between", value1, value2, "ticketResultsScore");
            return (Criteria) this;
        }

        public Criteria andTicketResultsScoreNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("ticket_results_score not between", value1, value2, "ticketResultsScore");
            return (Criteria) this;
        }

        public Criteria andCrossBorderPaymentResultsScoreIsNull() {
            addCriterion("cross_border_payment_results_score is null");
            return (Criteria) this;
        }

        public Criteria andCrossBorderPaymentResultsScoreIsNotNull() {
            addCriterion("cross_border_payment_results_score is not null");
            return (Criteria) this;
        }

        public Criteria andCrossBorderPaymentResultsScoreEqualTo(BigDecimal value) {
            addCriterion("cross_border_payment_results_score =", value, "crossBorderPaymentResultsScore");
            return (Criteria) this;
        }

        public Criteria andCrossBorderPaymentResultsScoreNotEqualTo(BigDecimal value) {
            addCriterion("cross_border_payment_results_score <>", value, "crossBorderPaymentResultsScore");
            return (Criteria) this;
        }

        public Criteria andCrossBorderPaymentResultsScoreGreaterThan(BigDecimal value) {
            addCriterion("cross_border_payment_results_score >", value, "crossBorderPaymentResultsScore");
            return (Criteria) this;
        }

        public Criteria andCrossBorderPaymentResultsScoreGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("cross_border_payment_results_score >=", value, "crossBorderPaymentResultsScore");
            return (Criteria) this;
        }

        public Criteria andCrossBorderPaymentResultsScoreLessThan(BigDecimal value) {
            addCriterion("cross_border_payment_results_score <", value, "crossBorderPaymentResultsScore");
            return (Criteria) this;
        }

        public Criteria andCrossBorderPaymentResultsScoreLessThanOrEqualTo(BigDecimal value) {
            addCriterion("cross_border_payment_results_score <=", value, "crossBorderPaymentResultsScore");
            return (Criteria) this;
        }

        public Criteria andCrossBorderPaymentResultsScoreIn(List<BigDecimal> values) {
            addCriterion("cross_border_payment_results_score in", values, "crossBorderPaymentResultsScore");
            return (Criteria) this;
        }

        public Criteria andCrossBorderPaymentResultsScoreNotIn(List<BigDecimal> values) {
            addCriterion("cross_border_payment_results_score not in", values, "crossBorderPaymentResultsScore");
            return (Criteria) this;
        }

        public Criteria andCrossBorderPaymentResultsScoreBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("cross_border_payment_results_score between", value1, value2, "crossBorderPaymentResultsScore");
            return (Criteria) this;
        }

        public Criteria andCrossBorderPaymentResultsScoreNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("cross_border_payment_results_score not between", value1, value2, "crossBorderPaymentResultsScore");
            return (Criteria) this;
        }

        public Criteria andTotalRankIsNull() {
            addCriterion("total_rank is null");
            return (Criteria) this;
        }

        public Criteria andTotalRankIsNotNull() {
            addCriterion("total_rank is not null");
            return (Criteria) this;
        }

        public Criteria andTotalRankEqualTo(Integer value) {
            addCriterion("total_rank =", value, "totalRank");
            return (Criteria) this;
        }

        public Criteria andTotalRankNotEqualTo(Integer value) {
            addCriterion("total_rank <>", value, "totalRank");
            return (Criteria) this;
        }

        public Criteria andTotalRankGreaterThan(Integer value) {
            addCriterion("total_rank >", value, "totalRank");
            return (Criteria) this;
        }

        public Criteria andTotalRankGreaterThanOrEqualTo(Integer value) {
            addCriterion("total_rank >=", value, "totalRank");
            return (Criteria) this;
        }

        public Criteria andTotalRankLessThan(Integer value) {
            addCriterion("total_rank <", value, "totalRank");
            return (Criteria) this;
        }

        public Criteria andTotalRankLessThanOrEqualTo(Integer value) {
            addCriterion("total_rank <=", value, "totalRank");
            return (Criteria) this;
        }

        public Criteria andTotalRankIn(List<Integer> values) {
            addCriterion("total_rank in", values, "totalRank");
            return (Criteria) this;
        }

        public Criteria andTotalRankNotIn(List<Integer> values) {
            addCriterion("total_rank not in", values, "totalRank");
            return (Criteria) this;
        }

        public Criteria andTotalRankBetween(Integer value1, Integer value2) {
            addCriterion("total_rank between", value1, value2, "totalRank");
            return (Criteria) this;
        }

        public Criteria andTotalRankNotBetween(Integer value1, Integer value2) {
            addCriterion("total_rank not between", value1, value2, "totalRank");
            return (Criteria) this;
        }

        public Criteria andTotalScoreIsNull() {
            addCriterion("total_score is null");
            return (Criteria) this;
        }

        public Criteria andTotalScoreIsNotNull() {
            addCriterion("total_score is not null");
            return (Criteria) this;
        }

        public Criteria andTotalScoreEqualTo(BigDecimal value) {
            addCriterion("total_score =", value, "totalScore");
            return (Criteria) this;
        }

        public Criteria andTotalScoreNotEqualTo(BigDecimal value) {
            addCriterion("total_score <>", value, "totalScore");
            return (Criteria) this;
        }

        public Criteria andTotalScoreGreaterThan(BigDecimal value) {
            addCriterion("total_score >", value, "totalScore");
            return (Criteria) this;
        }

        public Criteria andTotalScoreGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("total_score >=", value, "totalScore");
            return (Criteria) this;
        }

        public Criteria andTotalScoreLessThan(BigDecimal value) {
            addCriterion("total_score <", value, "totalScore");
            return (Criteria) this;
        }

        public Criteria andTotalScoreLessThanOrEqualTo(BigDecimal value) {
            addCriterion("total_score <=", value, "totalScore");
            return (Criteria) this;
        }

        public Criteria andTotalScoreIn(List<BigDecimal> values) {
            addCriterion("total_score in", values, "totalScore");
            return (Criteria) this;
        }

        public Criteria andTotalScoreNotIn(List<BigDecimal> values) {
            addCriterion("total_score not in", values, "totalScore");
            return (Criteria) this;
        }

        public Criteria andTotalScoreBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("total_score between", value1, value2, "totalScore");
            return (Criteria) this;
        }

        public Criteria andTotalScoreNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("total_score not between", value1, value2, "totalScore");
            return (Criteria) this;
        }
    }

    public static class Criteria extends GeneratedCriteria {
        protected Criteria() {
            super();
        }
    }

    public static class Criterion {
        private String condition;

        private Object value;

        private Object secondValue;

        private boolean noValue;

        private boolean singleValue;

        private boolean betweenValue;

        private boolean listValue;

        private String typeHandler;

        public String getCondition() {
            return condition;
        }

        public Object getValue() {
            return value;
        }

        public Object getSecondValue() {
            return secondValue;
        }

        public boolean isNoValue() {
            return noValue;
        }

        public boolean isSingleValue() {
            return singleValue;
        }

        public boolean isBetweenValue() {
            return betweenValue;
        }

        public boolean isListValue() {
            return listValue;
        }

        public String getTypeHandler() {
            return typeHandler;
        }

        protected Criterion(String condition) {
            super();
            this.condition = condition;
            this.typeHandler = null;
            this.noValue = true;
        }

        protected Criterion(String condition, Object value, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.typeHandler = typeHandler;
            if (value instanceof List<?>) {
                this.listValue = true;
            } else {
                this.singleValue = true;
            }
        }

        protected Criterion(String condition, Object value) {
            this(condition, value, null);
        }

        protected Criterion(String condition, Object value, Object secondValue, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.secondValue = secondValue;
            this.typeHandler = typeHandler;
            this.betweenValue = true;
        }

        protected Criterion(String condition, Object value, Object secondValue) {
            this(condition, value, secondValue, null);
        }
    }
}