package com.sztzjy.trade.entity;

import io.swagger.annotations.ApiModelProperty;
/**
 *
 * @author whb
 * tch_homework_set
 */
public class TchHomeworkSet {
    @ApiModelProperty("ID")
    private String id;

    @ApiModelProperty("作业或考试")
    private String taskName;

    @ApiModelProperty("作业或考试ID")
    private String taskId;

    @ApiModelProperty("作答次数")
    private Integer answersFrequency;

    @ApiModelProperty("题目是否乱序（1、是 0、否）")
    private Integer topicNumberState;

    @ApiModelProperty("选项是否乱序（1、是 0、否）")
    private Integer optionNumberState;

    @ApiModelProperty("答完是否显示解析（1、是 0、否）")
    private Integer parsingState;

    @ApiModelProperty("答完是否显示对错（1、是 0、否）")
    private Integer answerSate;

    @ApiModelProperty("抽取的题目ID（逗号隔开）")
    private String topicId;

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id == null ? null : id.trim();
    }

    public String getTaskName() {
        return taskName;
    }

    public void setTaskName(String taskName) {
        this.taskName = taskName == null ? null : taskName.trim();
    }

    public String getTaskId() {
        return taskId;
    }

    public void setTaskId(String taskId) {
        this.taskId = taskId == null ? null : taskId.trim();
    }

    public Integer getAnswersFrequency() {
        return answersFrequency;
    }

    public void setAnswersFrequency(Integer answersFrequency) {
        this.answersFrequency = answersFrequency;
    }

    public Integer getTopicNumberState() {
        return topicNumberState;
    }

    public void setTopicNumberState(Integer topicNumberState) {
        this.topicNumberState = topicNumberState;
    }

    public Integer getOptionNumberState() {
        return optionNumberState;
    }

    public void setOptionNumberState(Integer optionNumberState) {
        this.optionNumberState = optionNumberState;
    }

    public Integer getParsingState() {
        return parsingState;
    }

    public void setParsingState(Integer parsingState) {
        this.parsingState = parsingState;
    }

    public Integer getAnswerSate() {
        return answerSate;
    }

    public void setAnswerSate(Integer answerSate) {
        this.answerSate = answerSate;
    }

    public String getTopicId() {
        return topicId;
    }

    public void setTopicId(String topicId) {
        this.topicId = topicId == null ? null : topicId.trim();
    }
}