package com.sztzjy.trade.entity;

import java.math.BigDecimal;
import java.util.Date;

import io.swagger.annotations.ApiModelProperty;
/**
 *
 * @author whb
 * tch_sign_manage
 */
public class TchSignManage {
    @ApiModelProperty("签到ID")
    private String signId;

    @ApiModelProperty("开课ID")
    private String startCourseId;

    @ApiModelProperty("签到日期")
    private Date signDate;

    @ApiModelProperty("签到班级")
    private String signClass;

    @ApiModelProperty("签到方式")
    private String signWay;

    @ApiModelProperty("ip段或验证码")
    private String checking;

    @ApiModelProperty("签到人数")
    private Integer signPeoples;

    @ApiModelProperty("缺勤人数")
    private Integer absencePeoples;

    @ApiModelProperty("总人数")
    private Integer totalPeoples;

    @ApiModelProperty("到课率")
    private BigDecimal attendanceRate;

    @ApiModelProperty("状态（0、未开始 1、进行中 2、已结束）")
    private Integer state;

    @ApiModelProperty("用户ID")
    private String userId;

    public String getSignId() {
        return signId;
    }

    public void setSignId(String signId) {
        this.signId = signId == null ? null : signId.trim();
    }

    public String getStartCourseId() {
        return startCourseId;
    }

    public void setStartCourseId(String startCourseId) {
        this.startCourseId = startCourseId == null ? null : startCourseId.trim();
    }

    public Date getSignDate() {
        return signDate;
    }

    public void setSignDate(Date signDate) {
        this.signDate = signDate;
    }

    public String getSignClass() {
        return signClass;
    }

    public void setSignClass(String signClass) {
        this.signClass = signClass == null ? null : signClass.trim();
    }

    public String getSignWay() {
        return signWay;
    }

    public void setSignWay(String signWay) {
        this.signWay = signWay == null ? null : signWay.trim();
    }

    public String getChecking() {
        return checking;
    }

    public void setChecking(String checking) {
        this.checking = checking == null ? null : checking.trim();
    }

    public Integer getSignPeoples() {
        return signPeoples;
    }

    public void setSignPeoples(Integer signPeoples) {
        this.signPeoples = signPeoples;
    }

    public Integer getAbsencePeoples() {
        return absencePeoples;
    }

    public void setAbsencePeoples(Integer absencePeoples) {
        this.absencePeoples = absencePeoples;
    }

    public Integer getTotalPeoples() {
        return totalPeoples;
    }

    public void setTotalPeoples(Integer totalPeoples) {
        this.totalPeoples = totalPeoples;
    }

    public BigDecimal getAttendanceRate() {
        return attendanceRate;
    }

    public void setAttendanceRate(BigDecimal attendanceRate) {
        this.attendanceRate = attendanceRate;
    }

    public Integer getState() {
        return state;
    }

    public void setState(Integer state) {
        this.state = state;
    }

    public String getUserId() {
        return userId;
    }

    public void setUserId(String userId) {
        this.userId = userId == null ? null : userId.trim();
    }
}