package com.sztzjy.trade.entity;

import java.util.Date;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import org.springframework.format.annotation.DateTimeFormat;

/**
 *
 * @author whb
 * tch_start_course_manage
 */
public class TchStartCourseManage {
    @ApiModelProperty("开课ID")
    private String startCourseId;

    @ApiModelProperty("开课班级名称（多个班级逗号隔开）")
    private String startCourseClassName;

    @DateTimeFormat(pattern = "yyyy-MM-dd")
    @JsonFormat(pattern = "yyyy-MM-dd",timezone = "GMT+8")
    @ApiModelProperty("开课起始时间")
    private Date startCourseStartingTime;

    @DateTimeFormat(pattern = "yyyy-MM-dd")
    @JsonFormat(pattern = "yyyy-MM-dd",timezone = "GMT+8")
    @ApiModelProperty("开课结束时间")
    private Date startCourseEndTime;

    @ApiModelProperty("开课人数")
    private Integer startCoursePeoples;

    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    @ApiModelProperty("创建时间")
    private Date createTime;

    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    @ApiModelProperty("更新时间")
    private Date updateTime;

    @ApiModelProperty("用户ID")
    private String userId;

    public String getStartCourseId() {
        return startCourseId;
    }

    public void setStartCourseId(String startCourseId) {
        this.startCourseId = startCourseId == null ? null : startCourseId.trim();
    }

    public String getStartCourseClassName() {
        return startCourseClassName;
    }

    public void setStartCourseClassName(String startCourseClassName) {
        this.startCourseClassName = startCourseClassName == null ? null : startCourseClassName.trim();
    }

    public Date getStartCourseStartingTime() {
        return startCourseStartingTime;
    }

    public void setStartCourseStartingTime(Date startCourseStartingTime) {
        this.startCourseStartingTime = startCourseStartingTime;
    }

    public Date getStartCourseEndTime() {
        return startCourseEndTime;
    }

    public void setStartCourseEndTime(Date startCourseEndTime) {
        this.startCourseEndTime = startCourseEndTime;
    }

    public Integer getStartCoursePeoples() {
        return startCoursePeoples;
    }

    public void setStartCoursePeoples(Integer startCoursePeoples) {
        this.startCoursePeoples = startCoursePeoples;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public String getUserId() {
        return userId;
    }

    public void setUserId(String userId) {
        this.userId = userId == null ? null : userId.trim();
    }
}