package com.sztzjy.trade.mapper;

import com.sztzjy.trade.entity.TchStartCourseNameList;
import com.sztzjy.trade.entity.TchStartCourseNameListExample;
import java.util.List;

import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
@Mapper
public interface TchStartCourseNameListMapper {
    long countByExample(TchStartCourseNameListExample example);

    int deleteByExample(TchStartCourseNameListExample example);

    int deleteByPrimaryKey(String id);

    int insert(TchStartCourseNameList record);

    int insertSelective(TchStartCourseNameList record);

    List<TchStartCourseNameList> selectByExample(TchStartCourseNameListExample example);

    TchStartCourseNameList selectByPrimaryKey(String id);

    int updateByExampleSelective(@Param("record") TchStartCourseNameList record, @Param("example") TchStartCourseNameListExample example);

    int updateByExample(@Param("record") TchStartCourseNameList record, @Param("example") TchStartCourseNameListExample example);

    int updateByPrimaryKeySelective(TchStartCourseNameList record);

    int updateByPrimaryKey(TchStartCourseNameList record);

    /**
     * 开课学生名单批量添加
     * @param courseNameLists 学生信息
     */
    int addList(@Param("courseNameLists")List<TchStartCourseNameList> courseNameLists);

}