package com.sztzjy.trade.service;

import com.github.pagehelper.PageInfo;
import com.sztzjy.trade.entity.dto.tch.TchHomeworkExamDTO;
import com.sztzjy.trade.entity.dto.tch.TchTopicTypeDTO;
import org.springframework.web.multipart.MultipartFile;

import java.util.List;

/**
 * @author tz
 * @date 2024/8/5 14:58
 */
public interface TchHomeworkExamService {
    PageInfo getHomework(String userId, String type, Integer index, Integer size);

    Integer add(TchHomeworkExamDTO homeworkExamDTO, MultipartFile file);

    Integer update(TchHomeworkExamDTO homeworkExamDTO, MultipartFile file);

    List<String> getSelect(String userId);

    List<TchTopicTypeDTO> getTopicType();

    TchHomeworkExamDTO getById(String id,String type);
}
