package com.sztzjy.trade;

import lombok.extern.slf4j.Slf4j;
import org.mybatis.spring.annotation.MapperScan;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.context.annotation.Configuration;
import org.springframework.scheduling.annotation.EnableScheduling;

@SpringBootApplication
@Configuration
@MapperScan(basePackages = "com.sztzjy.trade.mapper")
@EnableScheduling
@Slf4j
public class FinancialMarketingApplication {

    public static void main(String[] args) {
        SpringApplication.run(FinancialMarketingApplication.class, args);
    }

}
