package com.sztzjy.trade.entity;

import java.math.BigDecimal;
import java.util.Date;

import io.swagger.annotations.ApiModelProperty;
/**
 *
 * @author whb
 * tch_homework_manage
 */
public class TchHomeworkManage {
    @ApiModelProperty("作业ID")
    private String homeworkId;

    @ApiModelProperty("开课ID")
    private String startCourseId;

    @ApiModelProperty("作业名称")
    private String homeworkName;

    @ApiModelProperty("题库作业或附件作业")
    private String homeworkType;

    @ApiModelProperty("作业班级（多个班级逗号隔开）")
    private String homeworkClass;

    @ApiModelProperty("平均得分")
    private BigDecimal averageScore;

    @ApiModelProperty("及格率")
    private BigDecimal passRate;

    @ApiModelProperty("作业起始时间")
    private Date startingTime;

    @ApiModelProperty("作业终止时间")
    private Date endTime;

    @ApiModelProperty("1、发布 0、未发布")
    private Integer state;

    @ApiModelProperty("作业要求")
    private String homeworkAsk;

    @ApiModelProperty("作业附件URL")
    private String homeworkAnnex;

    @ApiModelProperty("用户ID")
    private String userId;

    private Date createTime;

    private Date updateTime;

    @ApiModelProperty("作答次数")
    private Integer answersFrequency;

    @ApiModelProperty("题目是否乱序（1、是 0、否）")
    private Integer topicNumberState;

    @ApiModelProperty("选项是否乱序（1、是 0、否）")
    private Integer optionNumberState;

    @ApiModelProperty("答完是否显示解析（1、是 0、否）")
    private Integer parsingState;

    @ApiModelProperty("答完是否显示对错（1、是 0、否）")
    private Integer answerSate;

    @ApiModelProperty("抽取的题目ID（逗号隔开）")
    private String topicId;

    public String getHomeworkId() {
        return homeworkId;
    }

    public void setHomeworkId(String homeworkId) {
        this.homeworkId = homeworkId == null ? null : homeworkId.trim();
    }

    public String getStartCourseId() {
        return startCourseId;
    }

    public void setStartCourseId(String startCourseId) {
        this.startCourseId = startCourseId == null ? null : startCourseId.trim();
    }

    public String getHomeworkName() {
        return homeworkName;
    }

    public void setHomeworkName(String homeworkName) {
        this.homeworkName = homeworkName == null ? null : homeworkName.trim();
    }

    public String getHomeworkType() {
        return homeworkType;
    }

    public void setHomeworkType(String homeworkType) {
        this.homeworkType = homeworkType == null ? null : homeworkType.trim();
    }

    public String getHomeworkClass() {
        return homeworkClass;
    }

    public void setHomeworkClass(String homeworkClass) {
        this.homeworkClass = homeworkClass == null ? null : homeworkClass.trim();
    }

    public BigDecimal getAverageScore() {
        return averageScore;
    }

    public void setAverageScore(BigDecimal averageScore) {
        this.averageScore = averageScore;
    }

    public BigDecimal getPassRate() {
        return passRate;
    }

    public void setPassRate(BigDecimal passRate) {
        this.passRate = passRate;
    }

    public Date getStartingTime() {
        return startingTime;
    }

    public void setStartingTime(Date startingTime) {
        this.startingTime = startingTime;
    }

    public Date getEndTime() {
        return endTime;
    }

    public void setEndTime(Date endTime) {
        this.endTime = endTime;
    }

    public Integer getState() {
        return state;
    }

    public void setState(Integer state) {
        this.state = state;
    }

    public String getHomeworkAsk() {
        return homeworkAsk;
    }

    public void setHomeworkAsk(String homeworkAsk) {
        this.homeworkAsk = homeworkAsk == null ? null : homeworkAsk.trim();
    }

    public String getHomeworkAnnex() {
        return homeworkAnnex;
    }

    public void setHomeworkAnnex(String homeworkAnnex) {
        this.homeworkAnnex = homeworkAnnex == null ? null : homeworkAnnex.trim();
    }

    public String getUserId() {
        return userId;
    }

    public void setUserId(String userId) {
        this.userId = userId == null ? null : userId.trim();
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public Integer getAnswersFrequency() {
        return answersFrequency;
    }

    public void setAnswersFrequency(Integer answersFrequency) {
        this.answersFrequency = answersFrequency;
    }

    public Integer getTopicNumberState() {
        return topicNumberState;
    }

    public void setTopicNumberState(Integer topicNumberState) {
        this.topicNumberState = topicNumberState;
    }

    public Integer getOptionNumberState() {
        return optionNumberState;
    }

    public void setOptionNumberState(Integer optionNumberState) {
        this.optionNumberState = optionNumberState;
    }

    public Integer getParsingState() {
        return parsingState;
    }

    public void setParsingState(Integer parsingState) {
        this.parsingState = parsingState;
    }

    public Integer getAnswerSate() {
        return answerSate;
    }

    public void setAnswerSate(Integer answerSate) {
        this.answerSate = answerSate;
    }

    public String getTopicId() {
        return topicId;
    }

    public void setTopicId(String topicId) {
        this.topicId = topicId == null ? null : topicId.trim();
    }
}