package com.sztzjy.trade.entity;

import java.math.BigDecimal;

import io.swagger.annotations.ApiModelProperty;
/**
 *
 * @author whb
 * tch_topic_details
 */
public class TchTopicDetails {
    @ApiModelProperty("选题详情ID")
    private String id;

    @ApiModelProperty("题库作业或考试")
    private String taskName;

    @ApiModelProperty("题库作业或考试ID")
    private String taskId;

    @ApiModelProperty("题型")
    private String topicType;

    @ApiModelProperty("总数量")
    private Integer quantity;

    @ApiModelProperty("选题量")
    private Integer topicsSelected;

    @ApiModelProperty("分值")
    private BigDecimal score;

    @ApiModelProperty("总分")
    private BigDecimal totalScore;

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id == null ? null : id.trim();
    }

    public String getTaskName() {
        return taskName;
    }

    public void setTaskName(String taskName) {
        this.taskName = taskName == null ? null : taskName.trim();
    }

    public String getTaskId() {
        return taskId;
    }

    public void setTaskId(String taskId) {
        this.taskId = taskId == null ? null : taskId.trim();
    }

    public String getTopicType() {
        return topicType;
    }

    public void setTopicType(String topicType) {
        this.topicType = topicType == null ? null : topicType.trim();
    }

    public Integer getQuantity() {
        return quantity;
    }

    public void setQuantity(Integer quantity) {
        this.quantity = quantity;
    }

    public Integer getTopicsSelected() {
        return topicsSelected;
    }

    public void setTopicsSelected(Integer topicsSelected) {
        this.topicsSelected = topicsSelected;
    }

    public BigDecimal getScore() {
        return score;
    }

    public void setScore(BigDecimal score) {
        this.score = score;
    }

    public BigDecimal getTotalScore() {
        return totalScore;
    }

    public void setTotalScore(BigDecimal totalScore) {
        this.totalScore = totalScore;
    }
}