package com.sztzjy.trade.entity.dto.tch;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;

/**
 * @author tz
 * @date 2024/8/6 15:21
 */
@Data
public class TchTopicDetailsDTO {

    @ApiModelProperty("题型")
    private String topicType;

    @ApiModelProperty("总数量")
    private Integer quantity;

    @ApiModelProperty("选题量")
    private Integer topicsSelected;

    @ApiModelProperty("分值")
    private BigDecimal score;

    @ApiModelProperty("总分")
    private BigDecimal totalScore;
}
