package com.sztzjy.trade.service;

import com.github.pagehelper.PageInfo;
import com.sztzjy.trade.entity.TchStartCourseManage;
import com.sztzjy.trade.entity.TchStartCourseNameList;
import com.sztzjy.trade.entity.dto.tch.TchAddStuDTO;
import com.sztzjy.trade.entity.dto.tch.TchStartCourseDTO;
import com.sztzjy.trade.entity.dto.tch.TchStartCourseNameListDTO;
import org.springframework.web.multipart.MultipartFile;

import java.util.List;

/**
 * @author tz
 * @date 2024/8/1 13:36
 */
public interface TchTeachingManagementService {
    PageInfo getStartCourseList(String userId,Integer index,Integer size);

    Integer addStartCourse(TchStartCourseDTO dto);

    PageInfo<TchStartCourseNameList> getStartCourseNameList(String startCourseId, Integer index, Integer size);

    List<String> getSelect(String userId,String schoolId);

    PageInfo<TchStartCourseNameListDTO> addStuEcho(String startCourseId, String schoolId, Integer index, Integer size);

    Integer addStu(TchAddStuDTO dto);

    Integer addClass(List<String> className,String schoolId,String startCourseId);

    Integer batchImport(MultipartFile file,String startCourseId);
}
